/*
 * Copyright (C) 2009 the original author(s).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.sonatype.gshell.util.converter.collections;

import java.beans.PropertyEditor;
import java.util.Collection;
import java.util.List;

/**
 * Converter for generic {@link Collection} types.
 *
 * @since 2.0
 */
public class GenericCollectionConverter
    extends CollectionConverterSupport
{
    public GenericCollectionConverter(final Class type, final PropertyEditor editor) {
        super(type, editor);
    }

    @SuppressWarnings({"unchecked"})
    protected Object createCollection(final List list) throws Exception {
        Collection collection = (Collection) getType().newInstance();
        collection.addAll(list);
        return collection;
    }
}
